Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2022024 - libdigidocpp: FTBTS with OpenSSL 3.0.0
Summary: libdigidocpp: FTBTS with OpenSSL 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdigidocpp
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2021881
Blocks: F38FTBFS F39FTBFS OpenSSL3.0 F36FTBFS F37FTBFS 2046926
TreeView+ depends on / blocked
 
Reported: 2021-11-10 15:27 UTC by Sahana Prasad
Modified: 2023-02-14 01:52 UTC (History)
3 users (show)

Fixed In Version: libdigidocpp-3.14.10-4.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-14 01:52:01 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Sahana Prasad 2021-11-10 15:27:07 UTC
This bug is used to track the readiness of libdigidocpp with OpenSSL 3.0.0.

Currently the build fails to build with OpenSSL 3.0.0 with the following logs
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=78020194

Kindly fix them to ensure this package builds with OpenSSL 3.0.0

You can treat the deprecated warnings not as errors if you want to continue to use deprecated functions, but it is encouraged to use the new APIs, and this migration could be done sooner than later.

To not treat deprecated warnings as errors, you may use
-Wno-error=deprecated-declarations

To port to new APIs, kindly refer to the OpenSSL upstream migration guide:
https://www.openssl.org/docs/manmaster/man7/migration_guide.html

Thank you

Comment 1 Ben Cotton 2022-02-08 21:29:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 2 Dmitri Smirnov 2022-03-17 13:28:34 UTC
Depends On: https://bugzilla.redhat.com/show_bug.cgi?id=2021881

Comment 3 Germano Massullo 2022-08-12 16:18:39 UTC
They fixed the problem upstream. I am releasing a new version of this package to all branches

Comment 4 Fedora Update System 2023-02-05 01:05:53 UTC
FEDORA-2023-a81bd1fc57 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a81bd1fc57

Comment 5 Fedora Update System 2023-02-06 02:38:55 UTC
FEDORA-2023-a81bd1fc57 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a81bd1fc57`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a81bd1fc57

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-02-14 01:52:01 UTC
FEDORA-2023-a81bd1fc57 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.